Skip to content
CatalogProducts

Export products

Queues a product export. Returns a job; the file becomes downloadable once it completes.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/exports" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "format": "csv",    "search": "polo",    "status": [      "draft"    ],    "excludeStatus": [      "draft"    ],    "includeArchived": false,    "categoryIds": [      "7204558912004327982"    ],    "excludeCategoryIds": [      "7204558912004321768"    ],    "brandIds": [      "7204558912004322959"    ]  }'
{  "id": "7204558912004321909",  "status": "pending",  "resource": "products",  "format": "csv",  "createdOn": "2026-09-28T15:30:00Z"}